Subject: Re: PowerPC: Random memory corruption causing kernel oops on Power11

From: David Laight <[email-masked]>
Date: Sat, 30 May 2026 12:03:03 +0100

On Fri, 29 May 2026 14:23:06 -0400
Paul Moore <[email-masked]> wrote:

> On Fri, May 29, 2026 at 12:18 PM David Laight
...
> > PAGE_SIZE is not the length of the buffer.
> > Should be PATH_MAX.  
> 
> Yes, as discussed earlier in the thread some additional work needs to
> be done, and verified, but since we are at the end of -rc5 I simply
> reverted the patch.  We can chase this down next dev cycle.
> 

Emails crossed in the afternoon...

Like many of these changes the buffer size should never have been PAGE_SIZE.
Clearly here PATH_MAX is the best way to say 4096.
But I suspect some of the others should be (say) BUF_4K.

I wonder how much userspace code is left that does 'char buf[BUFSIZE]' and
just assumes it is 'big enough'.

-- David